<template>
  <single-pane :capt="dictionaryRu.title">
    <ob-table
      :columns="columnsObTable"
      :functionalPanel="true"
      :remote-opt="getObTableData"
      is-fixed-header
      ref="obTable"
    />
  </single-pane>
</template>

<script>
import paging           from '@/mixins/dictionaries/paging';
import tableLayoutMixin from '@/mixins/table-layout-mixin';
import SinglePane       from 'common-components/src/obComponents/obSinglePanels';
import ObTable          from 'common-components/src/obComponents/obTable';
import { dictionaryDefault } from '@/translations/ru/default'
import { dictionary } from '@/translations/ru/dictionaries__resources__pattern_masks'

export default {
  name: 'PatternMasks',
  components: {
    ObTable,
    SinglePane
  },
  mixins: [
    paging,
    tableLayoutMixin
  ],
  data() {
    return {
      dataGridRefName: 'PatternMasks',
      api: {
        source: 'oboz2-dictionary-resource-pattern-masks-crud/v1/'
      },
      dictionaryRu: Object.assign(dictionary, dictionaryDefault)
    };
  },
  computed: {
    columnsObTable() {
      return [
        {
          title: this.dictionaryRu.columns.mask,
          key: 'mask'
        },
        {
          title: this.dictionaryRu.columns.status,
          width: 110,
          key: 'is_active',
          html: data => {
            return data.is_active
              ? this.dictionaryRu.status.inactive
              : this.dictionaryRu.status.active;
          }
        }
      ];
    }
  }
};
</script>
